## http-analyze 1.9e-4.2

=== debian/changelog ===
http-analyze (1.9e-4.2) stable; urgency=high

  * Modify http-analyse.c to fix Y2K bug (#54029).

 -- Vincent Renardias <vincent@debian.org>  Fri, 21 Jan 2000 15:27:05 +0100

http-analyze (1.9e-4.1) unstable; urgency=low

  * Don't hardcode libraryname but use -lgd, Closes: Bug#51714

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 19 Dec 1999 17:26:37 +0100

http-analyze (1.9e-4) unstable; urgency=low

  * Fixed Bug #41361: http-analyze cannot be built from sources
  * Fixed Bug #41363: Please do not hardcode i386 in source package
  
 -- Hanno Wagner <wagner@debian.org>  Sun,  1 Aug 1999 14:52:02 +0200

http-analyze (1.9e-3) unstable; urgency=low

  * Fixed Bug #24430: http-analyze was libc5 based
  * Fixed Bug #9923: Short Description
  * Fixed Bug #13630: Architecture now any
  * Maintainers Address is now wagner@debian.org

 -- Hanno Wagner <wagner@debian.org>  Tue, 14 Jul 1998 11:34:01 +0200

http-analyze (1.9e-2) stable; urgency=low

  * Fixed Bug #9801: changelog from changelog.debian.gz removed
  * Fixed Bug #9802: typo fixed.
  * Fixed Bug #9803: manpage is now non-preformatted
  * Fixed Bug #9804: example config in /usr/doc/http-analyze/examples
  * Fixed Bug #9805: moved from net to non-free because of copyright 

 -- Hanno Wagner <wagner@linux.de>  Wed, 11 Jun 1997 17:30:06 +0200 

http-analyze (1.9e-1) stable; urgency=low

  * Initial Release.

 -- Hanno Wagner <wagner@linux.de>  Fri, 18 Apr 1997 15:54:52 +0200
