## http-analyze 1.9e-4.3

=== Makefile ===
--- 
+++ 
@@ -110,7 +110,7 @@
 	chmod 444 $(LOCALMAN)/http-analyze.1
 	chown bin.bin $(LOCALBIN)/http-analyze \
 		      $(LOCALMAN)/http-analyze.1
-	-rm $(LOCALMAN)/http-analyze.1.gz
+	-rm -f $(LOCALMAN)/http-analyze.1.gz
 	$(COMPRESS) $(LOCALMAN)/http-analyze.1
 
 clean:
