=== debian/changelog ===
http-analyze (1.9e-4.3) frozen unstable; urgency=high

  * Modify http-analyse.c to fix Y2K bug (#54029).
    [Glibc 2.1 version]

 -- Vincent Renardias <vincent@debian.org>  Fri, 21 Jan 2000 15:31:39 +0100
