=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean
-	dh_installdirs usr/bin usr/man/man1 usr/doc
+	dh_installdirs usr/bin usr/man/man1 usr/share/doc
 #	install -m 644 
 	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL_PROGRAM='install -c -s' \
 	LOCALBIN=debian/tmp/usr/bin \
