=== man/Makefile ===
#
# Makefile for the manpage of http-analyze
#
# $Id: Makefile,v 1.1 1999/05/17 05:18:42 stefan Exp $

# Shell to use for executing commands by make.
SHELL	= /bin/sh

# Local conventions
# -----------------
#
# HA_MANDIR	defines the directory for the manpage in source or
#		pre-formatted format.
HA_MANDIR = /usr/local/man/cat1

# EXTENSION	is either '1' or 'man' to define whether the pre-formatted
#		manpage (ASCII format) or the source (nroff format) is to
#		be installed. The name of the installed manpage always has
#		the suffix '.1'. This are the two most common combinations:
#
#		Manpage in	EXTENSION   HA_MANDIR
#		pre-fmt. text	.1	    /usr/local/man/cat1
#		source format	.man	    /usr/local/man/man1
#
# COMPRESS	defines the program to use for compressing the manpage.
#		If set to 'true', no compression is applied.
#EXTENSION = man
#COMPRESS = pack -f
#COMPRESS = compress -f
EXTENSION = 1
COMPRESS = true

NROFF	= nroff
NRFLAGS	= -u1 -man

http-analyze.1:	http-analyze.man
	$(NROFF) $(NRFLAGS) http-analyze.man | col >$@

install: http-analyze.$(EXTENSION)
	@echo "\nInstalling http-analyze.$(EXTENSION) in $(HA_MANDIR)"
	if test ! -d $(HA_MANDIR); then mkdir -p $(HA_MANDIR); \
	elif test -f $(HA_MANDIR)/http-analyze.1; then \
		mv $(HA_MANDIR)/http-analyze.1 $(HA_MANDIR)/http-analyze.1.O; \
	fi
	cp http-analyze.$(EXTENSION) $(HA_MANDIR)/http-analyze.1
	$(COMPRESS) $(HA_MANDIR)/http-analyze.1

realclean:
	-rm -f http-analyze.1
