=== debian/changelog ===
http-analyze (2.4-2.1) unstable; urgency=high

  * NMU
  * Recompiled on a recent unstable. (closes: #74206)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 17 Mar 2001 00:04:49 +0100

http-analyze (2.4-2) unstable; urgency=low

  * manpages have to go in the right directory

 -- Hanno Wagner <wagner@debian.org>  Sat, 29 Apr 2000 17:33:39 +0200

http-analyze (2.4-1) unstable; urgency=low

  * Fixed Bug #12614
  * Fixed Bug #24430
  * Fixed Bug #38356: questions are needed for config
  * Fixed Bug #43943: tries to configure during removal: this is necessary
  * Fixed Bug #44340: Package is not native
  * Fixed Bug #45924: Recompile for libgd
  * New upstream release

 -- Hanno Wagner <wagner@debian.org>  Fri,  5 Nov 1999 01:08:49 +0100
