=== debian/control ===
Source: http-analyze
Section: non-free/web
Priority: optional
Maintainer: Hanno Wagner <wagner@linux.de>
Standards-Version: 2.1.1.0

Package: http-analyze
Architecture: any
Depends: ${shlibs:Depends}
Description: Fast WWW-log Server analyzer
 It analyzes logfiles and creates
 a detailed summary of the server's access load.
 Currently, http-analyze outputs HTML files, which
 require a browser capable of displaying tables
 (for example, Netscape Navigator). For up-to-date
 informations about http-analyze visit
 http://www.netstore.de/Supply/http-analyze/.
