=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Modified for http-analyze by Rince.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEFINES = "-Dlinux -Dunix"
OPTIM = -O2
CC = gcc
HA_BINDIR="/usr/bin"
HA_LIBDIR="/usr/lib/http-analyze"
HA_MANDIR="/usr/share/man/man1"
REQINCS=""
REQLIBS="-lgd -lpng -lz"

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) DEFINES=${DEFINES} OPTIM=${OPTIM} CC=${CC} \
	HA_BINDIR=${HA_BINDIR} HA_LIBDIR=${HA_LIBDIR} \
       	HA_MANDIR=${HA_MANDIR} REQINCS=${REQINCS} REQLIBS=${REQLIBS}

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	-$(MAKE) -i clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/bin usr/share/man/man1 usr/share/doc usr/lib/http-analyze
#	install -m 644 
#	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL_PROGRAM='install -c -s' \
#	LOCALBIN=debian/tmp/usr/bin \
#	LOCALMAN=debian/tmp/usr/share/man/man1 \
#	GDLIB=debian/tmp/usr/lib/libgd.so.1 \
#	COMPRESS=gzip \
#	GDINC=debian/tmp/usr/include install
	$(MAKE) DEFINES=${DEFINES} OPTIM=${OPTIM} CC=${CC} \
	HA_BINDIR=${HA_BINDIR} HA_LIBDIR=${HA_LIBDIR} \
	HA_MANDIR=${HA_MANDIR} REQINCS=${REQINCS} REQLIBS=${REQLIBS}
	$(MAKE) DEFINES=${DEFINES} OPTIM=${OPTIM} CC=${CC} \
	HA_BINDIR=../debian/tmp${HA_BINDIR} HA_LIBDIR=../debian/tmp${HA_LIBDIR} \
	HA_MANDIR=../debian/tmp${HA_MANDIR} REQINCS=${REQINCS} REQLIBS=${REQLIBS} install
#	install -m 644 source target
	src/http-analyze -i man/sample.conf
	dh_installdocs INSTALL CHANGES README man/http-analyze.ps.gz man/http-analyze.pdf
	dh_installchangelogs
	dh_installexamples man/sample.conf
	dh_installmanpages 
	dh_strip
	dh_compress
	dh_installdeb
	dh_fixperms
	dh_shlibdeps http_analyze
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
